TechDraw LeaderLine: Difference between revisions

From FreeCAD Documentation
No edit summary
(update to current behavior)
Line 34: Line 34:


<!--T:10-->
<!--T:10-->
# Select a view.
# Press the {{Button|[[Image:TechDraw_LeaderLine.svg|16px]] [[TechDraw_LeaderLine|Add Leaderline to View]]}} button
# A Task dialog will open. The dialog allows drawing of the leader line and assigning end symbols to the line.
# Press the {{Button|[[Image:TechDraw_LeaderLine.svg|16px]] [[TechDraw_LeaderLine|Add Leaderline to View]]}} button. A dialog will open allowing to draw the leader line and assigning end symbols to the line.
# Press {{Button|Pick Points}} and then click into the page to define the starting point of the line.
# The Pick points button starts a line drawing function. Line drawing always starts at the point the line is to be attached to the View.
# Click to add a point, move the mouse to draw a line segment.
# Move the mouse and click on another point to create a line.
# Now you can either
# To exit the line editor, press the {{Button|Save changes}} button.
# To exit the line editor without saving, press the {{Button|Discard changes}} button.
## finish the line drawing by double-clicking or pressing {{Button|Save Points}}.
## add further points to define more line segments.
# After the line is created, it can be edited by double clicking the Leaderline in the Tree.
# To finish the creation, press {{Button|OK}} to close the dialog.

After the line is created, it can be edited by double clicking the LeaderLine in the tree.

'''Note:''' If you did not define any points when creating the leader line, a short line will be placed at the center of the view. You can later not add further points.


==Properties== <!--T:19-->
==Properties== <!--T:19-->

Revision as of 11:26, 17 February 2020

TechDraw LeaderLine

Menu location
TechDraw → Add Lines → Add Leaderline to View
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
Insert Rich Text Annotation, Add Welding Information to Leader, Line Groups

Description

The LeaderLine tool adds a line to a View. Other annotation objects (such as Rich Text Annotations) can be connected to the leaderline to form complex annotations.

Leader line added to View001

Usage

  1. Select a view.
  2. Press the Add Leaderline to View button. A dialog will open allowing to draw the leader line and assigning end symbols to the line.
  3. Press Pick Points and then click into the page to define the starting point of the line.
  4. Move the mouse and click on another point to create a line.
  5. Now you can either
    1. finish the line drawing by double-clicking or pressing Save Points.
    2. add further points to define more line segments.
  6. To finish the creation, press OK to close the dialog.

After the line is created, it can be edited by double clicking the LeaderLine in the tree.

Note: If you did not define any points when creating the leader line, a short line will be placed at the center of the view. You can later not add further points.

Properties

  • DataX,Y: The point at which the leader line is connected to the View.
  • DataLeader Parent: The View to which the leader is attached.
  • DataStart Symbol: The line end symbol (arrowhead) at the View end.
  • DataEnd Symbol: The line end symbol at the other end.
  • DataWayPoints: Nodes on the leader line.
  • DataScalable: Leader scales with Leader Parent.
  • ViewColor: Pen colour for the leader line.
  • ViewLine Style: 0 - No Line, 1 - Continuous, ...
  • ViewLine Width: Weight of leader line.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The LeaderLine tool can be used in macros and from the Python console by using the following functions:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawLeaderLine','DrawLeaderLine')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)  
#rest of waypoints are positions relative to (0,0,0)
leaderObj.WayPoints = [p0,p1,p2]
leaderObj.X = 5
leaderObj.Y = 5


Notes

  • You can edit your Leaderline by double clicking on it in the tree view. Double clicking in the graphics area is not yet supported.
  • The leader line can be edited by pressing Edit points while in edit mode. To exit point editing: press Save changes or Discard changes.